API 28

Rob Hewitt

Active member
Tutorial Author
Joined
Aug 30, 2017
Messages
104
Hi,

Had the following email

Hello Google Play Developer,
This is a reminder that starting November 1, 2019, updates to apps and games on Google Play will be required to target Android 9 (API level 28) or higher. After this date, the Play Console will prevent you from submitting new APKs with a targetSdkVersion less than 28.


All my Android releases are currently 26, is it straightforward to update this, ie is it something I can do?

Cheers
 

Holzchopf

Moderator
3rd Party Module Dev
Tutorial Author
Joined
Jul 31, 2017
Messages
482
It should be straight forward i.e. in your PROJECT\PROJECT.buildvYYYY-MM-DD\android\config.cxs just make sure this line reads as follows:

#ANDROID_TARGET_SDK_VERSION="28"

The newest CX version has this already in the template (Cerberus\targets\android\template\config.cxs).


BTW I got the same e-Mail and it also states which APK versions are affected - in my case they were all "open beta track" APKs. I don't know if I have to take any action as the "production track" APKs are higher anyway
 
Top Bottom